KD SOAP: KDSoapSslHandler Class Reference

| KD SOAP 1.9.1

Public Slots | Signals | Private Member Functions | List of all members
KDSoapSslHandler Class Reference

A class for handling SSL errors during SOAP calls. More...

`#include <KDSoapSslHandler.h>`

Inherits QObject.

## Public Slots
void | ignoreSslErrors ()
| ignoreSslErrors More...
void | ignoreSslErrors (const QList< QSslError > &errors)

## Signals
void | sslErrors (KDSoapSslHandler *handler, const QList< QSslError > &errors)
| Notification of SSL errors. More...

## Private Member Functions
| KDSoapSslHandler (QObject *parent=nullptr)

## Detailed Description

A class for handling SSL errors during SOAP calls.

Since
  1.3

## Constructor & Destructor Documentation

## ◆ KDSoapSslHandler()

KDSoapSslHandler::KDSoapSslHandler | ( | QObject * | parent = `nullptr` | ) |
| explicitprivate

Constructs a KDSoapSslHandler. Used internally

## Member Function Documentation

## ◆ sslErrors

void KDSoapSslHandler::sslErrors | ( | KDSoapSslHandler * | handler,
|  | const QList< QSslError > & | errors
| ) |  |
| signal

Notification of SSL errors.

This signal is emitted if the SSL/TLS session encountered errors during the set up, including certificate verification errors. The errors parameter contains the list of errors.

To indicate that the errors are not fatal and that the connection should proceed, the ignoreSslErrors() method should be called from the slot connected to this signal. If it is not called, the SSL session will be torn down before any data is exchanged.

Parameters

  handler | is a pointer the KDSoapSSLHandler associated with the errors
  errors | list of ssl errors

## ◆ ignoreSslErrors [1/2]

void KDSoapSslHandler::ignoreSslErrors | ( |  | ) |
| slot

ignoreSslErrors

If this function is called, SSL errors related to network connection will be ignored, including certificate validation errors.

Note that calling this function without restraint may pose a security risk for your application. Use it with care.

This function can be called from the slot connected to the sslErrors() signal, which indicates which errors were found.

## ◆ ignoreSslErrors [2/2]

void KDSoapSslHandler::ignoreSslErrors | ( | const QList< QSslError > & | errors | ) |
| slot

If this function is called, the SSL errors given in `errors` will be ignored. Note that you can set the expected certificate in the SSL error. See QNetworkReply::ignoreSslErrors() for more information.

This function can be called from the slot connected to the sslErrors() signal, which indicates which errors were found.

Parameters

  errors | list of errors to ignore

Since
  1.4

The documentation for this class was generated from the following files:

- src/KDSoapClient/KDSoapSslHandler.h
- src/KDSoapClient/KDSoapSslHandler.cpp

Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/